Get a client
curl --request GET \
--url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2024-04-16T21:15:06.443Z",
"custodian": {
"id": "custodianId",
"name": "Custodian Name"
},
"ejectedAt": null,
"environment": {
"id": "environmentId",
"name": "Development"
},
"id": "clientId",
"isAccountAbstracted": false,
"metadata": {
"namespaces": {
"eip155": {
"address": "0x6e818d8f9b6c53c59a2d957d36c2146e28906195",
"curve": "SECP256K1"
}
}
},
"wallets": [
{
"createdAt": "2024-04-16T21:15:45.144Z",
"curve": "SECP256K1",
"id": "wallet1Id",
"backupSharePairs": [
{
"backupMethod": "PASSWORD",
"createdAt": "2024-04-16T21:16:48.723Z",
"id": "backupSharePairId1",
"status": "completed"
},
{
"backupMethod": "GDRIVE",
"createdAt": "2024-04-16T21:17:02.074Z",
"id": "backupSharePairId2",
"status": "incomplete"
},
{
"backupMethod": "ICLOUD",
"createdAt": "2024-04-16T21:18:06.996Z",
"id": "backupSharePairId3",
"status": "incomplete"
}
],
"signingSharePairs": [
{
"createdAt": "2024-04-16T21:15:45.151Z",
"id": "signingSharePairId1",
"status": "completed"
}
],
"publicKey": "stringifiedJSON"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Clients
Get a client
Fetches the specified client for the authorized custodian, including wallet details, backup share pairs, and signing share pairs.
GET
/
custodians
/
me
/
clients
/
{clientId}
Get a client
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the client.
Response
Client details retrieved successfully
When the client was created
Show child attributes
Show child attributes
When the client was ejected, or null
Show child attributes
Show child attributes
Client ID
Whether the client uses account abstraction
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I